Package com.smartgwt.client.widgets.form.fields

# Class HiddenItem

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Field
com.smartgwt.client.widgets.form.fields.FormItem
com.smartgwt.client.widgets.form.fields.HiddenItem

All Implemented Interfaces:
  `HasHandlers`, `HasBlurHandlers`, `HasChangedHandlers`, `HasChangeHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasEditorEnterHandlers`, `HasEditorExitHandlers`, `HasFocusHandlers`, `HasIconClickHandlers`, `HasIconKeyPressHandlers`, `HasItemHoverHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasKeyUpHandlers`, `HasPendingStatusChangedHandlers`, `HasPickerIconClickHandlers`, `HasShowContextMenuHandlers`, `HasTitleClickHandlers`, `HasTitleDoubleClickHandlers`, `HasTitleHoverHandlers`, `HasValueHoverHandlers`, `HasValueIconClickHandlers`

public class HiddenItem extends FormItem
HiddenItems track a value but have no visible appearance and do not take up space in the form layout.

When using Smart GWT databinding it is usually not necessary to use a HiddenItem, since the DynamicForm will track values for which no actual form control exists, and will submit these 'extra' values when `DynamicForm.saveData()` is called. HiddenItems only apply to forms that are submitted like ordinary HTML forms, via the `DynamicForm.submitForm()` method.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `FormItem.CustomStateGetter, FormItem.StateCustomizer`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `configOnly, scClassName, warnOnEditorTypeConversion, warnOnEditorTypeConversionDefault`

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HiddenItem()`
  `HiddenItem(JavaScriptObject jsObj)`
  `HiddenItem(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `static void`
  `changePickerIconDefaults(FormItemIcon defaults)`
  `Boolean`
  `getAlwaysFetchMissingValues()`
  If this form item has a specified `FormItem.optionDataSource` and `FormItem.fetchMissingValues` is true, when the item value changes, a fetch will be performed against the optionDataSource to retrieve the related record if `FormItem.displayField` is specified and the new item value is not present in any valueMap explicitly specified on the item.
  `int`
  `getColSpan()`
  hidden fields don't take up any columns
  `String`
  `getColSpanAsString()`
  hidden fields don't take up any columns
  `Boolean`
  `getFetchMissingValues()`
  If this form item has a specified `FormItem.optionDataSource`, should the item ever perform a fetch against this dataSource to retrieve the related record.
  `static HiddenItem`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `int`
  `getRowSpan()`
  hidden fields don't take up any rows
  `Boolean`
  `getShowTitle()`
  we never show a separate title cell for hidden fields
  `HiddenItem`
  `setAlwaysFetchMissingValues(Boolean alwaysFetchMissingValues)`
  If this form item has a specified `FormItem.optionDataSource` and `FormItem.fetchMissingValues` is true, when the item value changes, a fetch will be performed against the optionDataSource to retrieve the related record if `FormItem.displayField` is specified and the new item value is not present in any valueMap explicitly specified on the item.
  `HiddenItem`
  `setColSpan(int colSpan)`
  hidden fields don't take up any columns
  `HiddenItem`
  `setColSpan(String colSpan)`
  hidden fields don't take up any columns
  `static void`
  `setDefaultProperties(HiddenItem hiddenItemProperties)`
  Class level method to set the default properties of this class.
  `HiddenItem`
  `setFetchMissingValues(Boolean fetchMissingValues)`
  If this form item has a specified `FormItem.optionDataSource`, should the item ever perform a fetch against this dataSource to retrieve the related record.
  `HiddenItem`
  `setRowSpan(int rowSpan)`
  hidden fields don't take up any rows
  `HiddenItem`
  `setShowTitle(Boolean showTitle)`
  we never show a separate title cell for hidden fields

  ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIcon, addIcon, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPendingStatusChangedHandler, addPickerIconClickHandler, addShowContextMenuHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, applyFormula, asSGWTComponent, blurItem, canEditCriterion, checkFormItemType, clearErrors, clearValue, disable, disableIcon, enable, enableIcon, error, error, errorIfNotCreated, focusAfterItem, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysShowControlBox, getApplyAlignToText, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getAutoCompleteKeywords, getBrowserInputType, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanHover, getCanSelectText, getCanTabToIcons, getCanvasAutoChild, getCellHeight, getCellStyle, getChangeOnKeypress, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getControlStyle, getCriteriaField, getCriterion, getCriterion, getCursorPosition, getCustomState, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDefaultOperator, getDefaultValue, getDeferActionConversion, getDestroyed, getDisabled, getDisabledHover, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEditProxyConstructor, getEmptyDisplayValue, getEmptyValueIcon, getEnableTitleClickWhenDisabled, getEndRow, getErrorIconHeight, getErrorIconProperties, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getErrors, getEscapeHTML, getExportFormat, getExtraControlTableCSS, getExtraTextBoxCSS, getFieldName, getFilterLocally, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFormula, getFullDataPath, getGlobalTabIndex, getGridColNum, getGridRowNum, getHeight, getHeightAsString, getHidden, getHint, getHintStyle, getHoverAlign, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHeightAsString, getHoverOpacity, getHoverPersist, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWidthAsString, getIcon, getIconBaseStyle, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIcons, getIconTabPosition, getIconVAlign, getIconWidth, getID, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLinearColSpan, getLinearColSpanAsString, getLinearEndRow, getLinearEndRowAsString, getLinearStartRow, getLinearStartRowAsString, getLinearWidth, getLinearWidthAsString, getListGrid, getLoadingDisplayValue, getLocateItemBy, getMinHintWidth, getMultiple, getMultipleValueSeparator, getName, getNullOriginalValueText, getOperator, getOptionCriteria, getOptionDataSource, getOptionDataSourceAsString, getOptionFilterContext, getOptionOperationId, getOptionTextMatchStyle, getOriginalValueMessage, getPageLeft, getPageRect, getPageTop, getPaletteDefaults, getPermanentlyHidden, getPicker, getPickerEscapeHTML, getPickerIcon, getPickerIcon, getPickerIconHeight, getPickerIconName, getPickerIconPrompt, getPickerIconProperties, getPickerIconSrc, getPickerIconStyle, getPickerIconTabPosition, getPickerIconWidth, getPickerSnapEdge, getPickerSnapTo, getPixelHeight, getPixelWidth, getPrintReadOnlyTextBoxStyle, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyCanSelectText, getReadOnlyControlStyle, getReadOnlyDisplay, getReadOnlyHover, getReadOnlyTextBoxStyle, getReadOnlyWhen, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRequiredRightTitlePrefix, getRequiredRightTitleSuffix, getRequiredTitlePrefix, getRequiredTitleSuffix, getRequiredWhen, getRightTitlePrefix, getRightTitleSuffix, getSaveOnEnter, getScClassName, getSelectedRecord, getSelectOnClick, getSelectOnFocus, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDeletions, getShowDisabled, getShowDisabledIconsOnFocus, getShowDisabledPickerIconOnFocus, getShowErrorIcon, getShowErrorIconInline, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowIconsOnFocus, getShowImageAsURL, getShowOldValueInHover, getShowOver, getShowOverIcons, getShowPending, getShowPickerIcon, getShowPickerIconOnFocus, getShowPickerOnFocus, getShowPickerOnFocusDelay, getShowRTL, getShowValueIconOnly, getShowVoiceAssistIcon, getStartRow, getStaticHeight, getStopOnError, getStoreDisplayValues, getSupportsCutPasteEvents, getSuppressOptionDSFallback, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTextBoxStyle, getTextBoxVPad, getTextFormula, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitlePrefix, getTitleStyle, getTitleSuffix, getTitleVAlign, getTooltip, getTop, getTreatEmptyAsNull, getType, getUpdateControlOnOver, getUpdatePickerIconOnOver, getUpdateTextBoxOnOver, getUseAdvancedCriteria, getUseDisabledHintStyleForReadOnly, getUseLocalDisplayFieldValue, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsFloat, getValueAsInteger, getValueAsLong, getValueAsRecordList, getValueDeselectedCSSText, getValueField, getValueFieldName, getValueIconAriaRole, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getValueMap, getValueMapAsArray, getVisible, getVisibleHeight, getVisibleTitleWidth, getVisibleWhen, getVisibleWidth, getWarnOnEditorTypeConversion, getWarnOnEditorTypeConversionDefault, getWidth, getWidthAsString, getWrapHintText, getWrapStaticValue, getWrapTitle, handleWarnOnEditorTypeConversion, hasAdvancedCriteria, hasErrors, hide, hideIcon, invalidateDisplayValueCache, isAssignableFrom, isConfigOnly, isCreated, isCutEvent, isDisabled, isDrawn, isFocused, isInGrid, isPasteEvent, isVisible, linkToInstanceUponCreate, mapDisplayToValue, mapValueToDisplay, mapValueToDisplay, mapValueToDisplay, redraw, redraw, removeIcon, selectedRecordChanged, setAccessKey, setAlign, setAllowExpressions, setAlwaysShowControlBox, setApplyAlignToText, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setAutoCompleteKeywords, setBrowserInputType, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanEditOpaqueValues, setCanFocus, setCanHover, setCanSelectText, setCanTabToIcons, setCellHeight, setCellStyle, setChangeOnKeypress, setClipStaticValue, setClipTitle, setConfigOnly, setControlStyle, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setCustomStateGetter, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultOperator, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDeferActionConversion, setDisabled, setDisabledHover, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEditProxyConstructor, setEmptyDisplayValue, setEmptyValueIcon, setEnableTitleClickWhenDisabled, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconProperties, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setErrors, setErrors, setEscapeHTML, setExportFormat, setExtraControlTableCSS, setExtraTextBoxCSS, setFilterLocally, setForeignDisplayField, setFormat, setFormula, setGlobalTabIndex, setHeight, setHeight, setHidden, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverHeight, setHoverOpacity, setHoverPersist, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWidth, setIconBaseStyle, setIconDisabled, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconShowOnFocus, setIconVAlign, setIconWidth, setID, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setJavaScriptObject, setLeft, setLinearColSpan, setLinearColSpan, setLinearEndRow, setLinearEndRow, setLinearStartRow, setLinearStartRow, setLinearWidth, setLinearWidth, setLoadingDisplayValue, setLocateItemBy, setMinHintWidth, setMultiple, setMultipleValueSeparator, setName, setNullOriginalValueText, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOptionTextMatchStyle, setOriginalValueMessage, setPermanentlyHidden, setPickerEscapeHTML, setPickerIconHeight, setPickerIconName, setPickerIconPrompt, setPickerIconProperties, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPickerSnapEdge, setPickerSnapTo, setPrintReadOnlyTextBoxStyle, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyCanSelectText, setReadOnlyControlStyle, setReadOnlyDisplay, setReadOnlyHover, setReadOnlyTextBoxStyle, setReadOnlyWhen, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRequiredRightTitlePrefix, setRequiredRightTitleSuffix, setRequiredTitlePrefix, setRequiredTitleSuffix, setRequiredWhen, setRightTitlePrefix, setRightTitleSuffix, setSaveOnEnter, setScClassName, setSelectOnClick, setSelectOnFocus, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDeletions, setShowDisabled, setShowDisabledIconsOnFocus, setShowDisabledPickerIconOnFocus, setShowErrorIcon, setShowErrorIconInline, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIconsOnFocus, setShowIfCondition, setShowImageAsURL, setShowOldValueInHover, setShowOver, setShowOverIcons, setShowPending, setShowPickerIcon, setShowPickerIconOnFocus, setShowPickerOnFocus, setShowPickerOnFocusDelay, setShowRTL, setShowValueIconOnly, setShowVoiceAssistIcon, setStartRow, setStateCustomizer, setStaticHeight, setStopOnError, setStoreDisplayValues, setSupportsCutPasteEvents, setSuppressOptionDSFallback, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTextBoxStyle, setTextBoxVPad, setTextFormula, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitlePrefix, setTitleStyle, setTitleSuffix, setTitleVAlign, setTooltip, setTop, setTreatEmptyAsNull, setType, setUpdateControlOnOver, setUpdatePickerIconOnOver, setUpdateTextBoxOnOver, setUseAdvancedCriteria, setUseDisabledHintStyleForReadOnly, setUseLocalDisplayFieldValue, setUseObjectFactoryForTypeFallback, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueByDisplayValue, setValueByDisplayValue, setValueDeselectedCSSText, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconAriaRole, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setVisibleWhen, setWarnOnEditorTypeConversion, setWarnOnEditorTypeConversionDefault, setWidth, setWidth, setWrapHintText, setWrapStaticValue, setWrapTitle, shouldApplyHeightToTextBox, shouldFetchMissingValue, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, showPicker, stopHover, storeValue, storeValue, updateState, validate, valueClipped`

  ### Methods inherited from class com.smartgwt.client.data.Field

  `getCanExport, getExportTitle, getPrimaryKey, getSortByField, setCanExport, setExportTitle, setPrimaryKey, setSortByField`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### HiddenItem

    public HiddenItem()

  - ### HiddenItem

    public HiddenItem(JavaScriptObject jsObj)

  - ### HiddenItem

    public HiddenItem(String name)

- ## Method Details

  - ### getOrCreateRef

    public static HiddenItem getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changePickerIconDefaults

    public static void changePickerIconDefaults(FormItemIcon defaults)

  - ### setAlwaysFetchMissingValues

    public HiddenItem setAlwaysFetchMissingValues(Boolean alwaysFetchMissingValues)
    If this form item has a specified `FormItem.optionDataSource` and `FormItem.fetchMissingValues` is true, when the item value changes, a fetch will be performed against the optionDataSource to retrieve the related record if `FormItem.displayField` is specified and the new item value is not present in any valueMap explicitly specified on the item.

    Setting this property to true means that a fetch will occur against the optionDataSource to retrieve the related record even if `FormItem.displayField` is unset, or the item has a valueMap which explicitly contains this field's value.

    An example of a use case where this might be set would be if `FormItem.formatValue()` or `FormItem.formatEditorValue()` were written to display properties from the `selected record`.

    Note - for efficiency we cache the associated record once a fetch has been performed, meaning if the value changes, then reverts to a previously seen value, we do not kick off an additional fetch even if this property is true. If necessary this cache may be explicitly invalidated via a call to `FormItem.invalidateDisplayValueCache()`

    Note: For hiddenItem `fetchMissingValues` is defaulted to `false` so developers wishing to get access to the record related to the current hiddenItem value would need to explicitly set both that property, and this one to true.

    Note : This is an advanced setting

    Overrides:
      `setAlwaysFetchMissingValues` in class `FormItem`
    Parameters:
      `alwaysFetchMissingValues` - New alwaysFetchMissingValues value. Default value is false
    Returns:
      `HiddenItem` instance, for chaining setter calls

  - ### getAlwaysFetchMissingValues

    public Boolean getAlwaysFetchMissingValues()
    If this form item has a specified `FormItem.optionDataSource` and `FormItem.fetchMissingValues` is true, when the item value changes, a fetch will be performed against the optionDataSource to retrieve the related record if `FormItem.displayField` is specified and the new item value is not present in any valueMap explicitly specified on the item.

    Setting this property to true means that a fetch will occur against the optionDataSource to retrieve the related record even if `FormItem.displayField` is unset, or the item has a valueMap which explicitly contains this field's value.

    An example of a use case where this might be set would be if `FormItem.formatValue()` or `FormItem.formatEditorValue()` were written to display properties from the `selected record`.

    Note - for efficiency we cache the associated record once a fetch has been performed, meaning if the value changes, then reverts to a previously seen value, we do not kick off an additional fetch even if this property is true. If necessary this cache may be explicitly invalidated via a call to `FormItem.invalidateDisplayValueCache()`

    Note: For hiddenItem `fetchMissingValues` is defaulted to `false` so developers wishing to get access to the record related to the current hiddenItem value would need to explicitly set both that property, and this one to true.

    Overrides:
      `getAlwaysFetchMissingValues` in class `FormItem`
    Returns:
      Current alwaysFetchMissingValues value. Default value is false

  - ### setColSpan

    public HiddenItem setColSpan(int colSpan)
    hidden fields don't take up any columns
    Overrides:
      `setColSpan` in class `FormItem`
    Parameters:
      `colSpan` - New colSpan value. Default value is 0
    Returns:
      `HiddenItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getColSpan

    public int getColSpan()
    hidden fields don't take up any columns

    Note : This method will return -1 if the underlying SmartClient JavaScript attribute value cannot be expressed as a(n) int. In that case, other getters, similarly-named but ending in `AsString`, `AsCanvas`, etc., may be provided.

    Returns:
      Current colSpan value. Default value is 0
    See Also:
      - `Appearance overview and related methods`

  - ### setColSpan

    public HiddenItem setColSpan(String colSpan)
    hidden fields don't take up any columns
    Overrides:
      `setColSpan` in class `FormItem`
    Parameters:
      `colSpan` - New colSpan value. Default value is 0
    Returns:
      `HiddenItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getColSpanAsString

    public String getColSpanAsString()
    hidden fields don't take up any columns
    Returns:
      Current colSpan value. Default value is 0
    See Also:
      - `Appearance overview and related methods`

  - ### setFetchMissingValues

    public HiddenItem setFetchMissingValues(Boolean fetchMissingValues)
    If this form item has a specified `FormItem.optionDataSource`, should the item ever perform a fetch against this dataSource to retrieve the related record.

    This is disabled by default for hiddenItems as there is typically no need to perform a fetch and retrieve a display-field value to show the user for a hidden item. This does mean that if a developer needs access to the related record for a hidden-item's value, they will need to enable both this setting and `FormItem.alwaysFetchMissingValues`.

    Note : This is an advanced setting

    Overrides:
      `setFetchMissingValues` in class `FormItem`
    Parameters:
      `fetchMissingValues` - New fetchMissingValues value. Default value is true
    Returns:
      `HiddenItem` instance, for chaining setter calls
    See Also:
      - `FormItem.setOptionDataSource(com.smartgwt.client.data.DataSource)`
      - `FormItem.getSelectedRecord()`
      - `FormItem.setFilterLocally(java.lang.Boolean)`

  - ### getFetchMissingValues

    public Boolean getFetchMissingValues()
    If this form item has a specified `FormItem.optionDataSource`, should the item ever perform a fetch against this dataSource to retrieve the related record.

    This is disabled by default for hiddenItems as there is typically no need to perform a fetch and retrieve a display-field value to show the user for a hidden item. This does mean that if a developer needs access to the related record for a hidden-item's value, they will need to enable both this setting and `FormItem.alwaysFetchMissingValues`.

    Overrides:
      `getFetchMissingValues` in class `FormItem`
    Returns:
      Current fetchMissingValues value. Default value is true
    See Also:
      - `FormItem.getOptionDataSource()`
      - `FormItem.getSelectedRecord()`
      - `FormItem.getFilterLocally()`

  - ### setRowSpan

    public HiddenItem setRowSpan(int rowSpan)
    hidden fields don't take up any rows
    Overrides:
      `setRowSpan` in class `FormItem`
    Parameters:
      `rowSpan` - New rowSpan value. Default value is 0
    Returns:
      `HiddenItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getRowSpan

    public int getRowSpan()
    hidden fields don't take up any rows
    Overrides:
      `getRowSpan` in class `FormItem`
    Returns:
      Current rowSpan value. Default value is 0
    See Also:
      - `Appearance overview and related methods`

  - ### setShowTitle

    public HiddenItem setShowTitle(Boolean showTitle)
    we never show a separate title cell for hidden fields
    Overrides:
      `setShowTitle` in class `FormItem`
    Parameters:
      `showTitle` - New showTitle value. Default value is false
    Returns:
      `HiddenItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getShowTitle

    public Boolean getShowTitle()
    we never show a separate title cell for hidden fields
    Overrides:
      `getShowTitle` in class `FormItem`
    Returns:
      Current showTitle value. Default value is false
    See Also:
      - `Appearance overview and related methods`

  - ### setDefaultProperties

    public static void setDefaultProperties(HiddenItem hiddenItemProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `hiddenItemProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`